3

I am trying to setup one of the magento 2 extension with cygwin which is from this source https://github.com/ibnab/magento2-extension-change-attribute-set and I am getting this error during installion

PLEASE RE-RUN MAGENTO COMPILE COMMAND

magento-2.0.5 - windows-7 X64 - terminal is = cygwin - opensshd is installed correctly.

I really need to setup that extension.

thank you. enter image description here

7

Depending on your configuration it may also be unecessary. If you are in default or dev mode you do not need it.

You just need it on production mode

From command line and from your Magento root path:

php bin/magento setup:di:compile

P.S: After installing your module make sure you ran:

php bin/magento setup:upgrade
  • In what succession should php bin/magento setup:di:compile and php bin/magento setup:upgrade be run? – Razvan Zamfir Nov 20 '17 at 14:25
  • setup:di:compile then setup:upgrade – Phoenix128_RiccardoT Nov 22 '17 at 11:49

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.